%define subname mrim
Summary: Mail.ruIM-transport for ejabberd
Name: ejabberd-mrim
Version: 0.1.1
Release: alt1
License: GPL
Group: System/Servers
URL: http://jmc.jabberstudio.org/
Source0: %subname-%version.tar.bz2
Source1: %subname.init
Patch0: %subname.patch
Packager: Mikhail Pokidko <pma@altlinux.org>
Requires: python-module-xmpp
Requires: ejabberd

%description
Mrim is an Open Source (GPL) XMPP to Mail.ru-IM Transport (aka M-Agent).
It is written in Python and built on top of xmpp.py library (http://xmpppy.sourceforge.net).

%prep
%setup -n %subname
%patch0 -p1

%build

%install
mkdir -p %buildroot%_datadir/%subname \
	%buildroot%_bindir \
	%buildroot%_initdir \
	%buildroot%_sysconfdir/ejabberd \
	%buildroot%_logdir/ejabberd/%subname
	
cp -r ./*  %buildroot%_datadir/%subname/
cp mrim.conf.example %buildroot%_sysconfdir/ejabberd/%subname.conf
cp %subname.sh %buildroot%_bindir/%subname.sh
install -pD -m0755 %SOURCE1 %buildroot%_initdir/%subname

%files
%doc COPYING ChangeLog INSTALL README TODO
#attr(0755,ejabberd,ejabberd) %_logdir/ejabberd/%subname
%config(noreplace) %_sysconfdir/ejabberd/%subname.*
%_initdir/*
%attr(0755,ejabberd,ejabberd) %_bindir/%subname.sh
%_datadir/%subname/*

%changelog
* Thu Feb 01 2007 Mikhail Pokidko <pma@altlinux.ru> 0.1.1-alt1
- Initial build. Ejabberd adopted mrim build


